{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Photographer Home</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
        crossorigin="anonymous">
    <!-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script> -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="{% static 'photographer/css/style.css' %}">
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light shadow-sm">
        <a class="navbar-brand" href="#">
            <img src="images/logo.png" alt="">
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse justify-content-end" id="navbarSupportedContent">
            <ul class="navbar-nav ">

                <li class="nav-item">
                    <a class="nav-link" href="{% url 'upload' %}">Upload</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Account</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Log out</a>
                </li>
            </ul>
        </div>
    </nav>
    {% if messages %}
    {% for message in messages %}
    <p class="alert alert-{{ message.tags }}">{{ message }}</p>
    {% endfor %}
    {% endif %}
    <main>
        <section class="container" id="user-profile">
            <div class="media content-section">
                <img class="rounded-circle article-img user-profile-picture" src="{% static 'images/photographers/avatar.png' %}">
                <div class="media-body">
                    <h3 class="user-name">{{ photographer.user.username }}</h3>
                    <p class="user-email">{{ photographer.email }}</p>
                </div>
            </div>
        </section>
        <section id="photographer-products" class="container">
            <!-- Sort dropdown -->
            <div class="row" id="sort">
                <div class="col-3 offset-9">
                    <select name="sort" id="" class="form-control">
                        <option value="0">Sort by</option>
                        <option value="most-popular">Most Popular</option>
                        <option value="recent">Recent</option>
                    </select>
                </div>
            </div>
            <div class="row">
                {% for img in images_url %}
                <div class="col-md-4">
                    <div class="card product">
                        <a href="#"><img src="{{ img.url }}" class="card-img-top" alt="..." img src=""></a>
                        <!-- <i class="fa fa-check-circle"></i> -->
                        <div class="card-body">
                            <div>
                                <h4 class="card-title">{{ img.title }}</h4>
                                <h5 class="card-text image-price">Rs. {{ img.price }}</h5>
                            </div>
                            <a href="{% url 'delete_photo' photo_id=img.id %}">Delete</a>
                            <a href="{% url 'edit_photo' photo_id=img.id %}">Edit</a>
                        </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </section>
    </main>

    <footer>
        <div class="row">
            <div class="col-md-6">
                <h3 class>Lets be Connected!</h3>
                <a href="">
                    <h5>About Us</h5>
                </a>
                <a href="">
                    <h5>Contact Us</h5>
                </a>
            </div>
            <div class="col-md-6">
                <h5>Around the web</h5>
                <a href="https://www.facebook.com/soumyasaswata.rana" target="_blank"><i class="fa fa-facebook-square"
                        style="font-size:25px;"></i></a>
                <a href="https://www.linkedin.com/in/soumya-saswata-rana-7637a843/" target="_blank"><i class="fa fa-linkedin-square"
                        style="font-size:25px;"></i></a>
                <a href="https://www.youtube.com/channel/UCTZZad-aZD-Hu5c1h7D9Q4Q?view_as=subscriber" target="_blank"><i
                        class="fa fa-youtube-square" style="font-size:25px;"></i></a>

            </div>
        </div>
    </footer>



    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.6/umd/popper.min.js"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"></script>
</body>

</html>